Package com.dropbox.core.v2.teamlog
Class GetEventsBuilder
java.lang.Object
com.dropbox.core.v2.teamlog.GetEventsBuilder
The request builder returned by
DbxTeamTeamLogRequests.getEventsBuilder().
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the request.withAccountId(String accountId) Set value for optional field.withCategory(EventCategory category) Set value for optional field.withEventType(EventTypeArg eventType) Set value for optional field.Set value for optional field.Set value for optional field.
-
Method Details
-
withLimit
Set value for optional field.If left unset or set to
null, defaults to1000L.- Parameters:
limit- The maximal number of results to return per call. Note that some calls may not returnGetTeamEventsArg.getLimit()number of events, and may even return no events, even with `has_more` set to true. In this case, callers should fetch again usingDbxTeamTeamLogRequests.getEventsContinue(String). Must be greater than or equal to 1 and be less than or equal to 1000. Defaults to1000Lwhen set tonull.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withAccountId
Set value for optional field.- Parameters:
accountId- Filter the events by account ID. Return only events with this account_id as either Actor, Context, or Participants. Must have length of at least 40 and have length of at most 40.- Returns:
- this builder
- Throws:
IllegalArgumentException- If any argument does not meet its preconditions.
-
withTime
Set value for optional field.- Parameters:
time- Filter by time range.- Returns:
- this builder
-
withCategory
Set value for optional field.- Parameters:
category- Filter the returned events to a single category. Note that category shouldn't be provided together with event_type.- Returns:
- this builder
-
withEventType
Set value for optional field.- Parameters:
eventType- Filter the returned events to a single event type. Note that event_type shouldn't be provided together with category.- Returns:
- this builder
-
start
Issues the request.
-